mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object A low level array manipulation class. Allows bytewise reading and writing on the primitive types contained in an array. Using this class it is possible to access arrays of primitive types on byte level. For example an integer array declared as `int[] arr = new int[10];` is lined up in memory as 10 consecutive 32 bit integers. This class can access the individual bytes, and hence circumvents any byte order abstractions. The following example shows how to use most methods of this class. `using System; using System.Text; public class BufferTest { public static void Main (string[] args) { int[] arr1 = { 65, 66, 67, 68, 69, }; byte[] arr2 = new byte[16]; // prints "arr1 length in bytes is 20" (5 * 4) Console.WriteLine ("arr1 length in bytes is {0}", Buffer.ByteLength (arr1)); Buffer.BlockCopy (arr1, 1, arr2, 0, 12); // prints "BCD" (which is 66, 67, 68). // The NUL inbetween bytes are skipped. Console.WriteLine (Encoding.ASCII.GetString (arr2)); // note that the following is endian dependant StringBuilder byteStr = new StringBuilder (); for (int n = 0 ; n < Buffer.ByteLength (arr1) ; ++n) { byte b = Buffer.GetByte (arr1, n); byteStr.Append ("0123456789abcdef"[b >> 4]); byteStr.Append ("0123456789abcdef"[b & 0xf]); byteStr.Append (" "); } Console.WriteLine ("hexdump of arr1: {0}", byteStr); } }`
- Method
  System.Void `` `` `` `` `` The source the byte data is copied from. The non-negative integer index from where the copying starts in the source array. The non-negative destination the byte block is copied into. It has to be sufficiently long. The non-negative destination index into the destination array. It has to be within the array's length. The number of bytes to copy. Copy a block of data on the byte level between two arrays. Copy count bytes starting from the srcOffset position in the src array to the dstOffset position in the dst array. The source and destination arrays do not have to share the same type, but they are both treated as linear byte array. The indexes to the copy operation are at byte level and do not have to be aligned on the primitive type's boundaries. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The array whose length in bytes should be determined. Give the length of an in bytes. The length in bytes. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` `` The array to be read from. The byte level index into the array from which should be read. Must be inbetween 0 and -1. Give a single byte from within an array. The single byte read from array at index. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` The array which is to be modified. The byte position within the array whose content should be modified. The new value. Set a single byte in an array to a specified value. Set the index'th byte of array to value. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)